Page MenuHomeFreeBSD

editors/emacs-devel: Update to 28.0.50
ClosedPublic

Authored by ashish on Jan 2 2020, 10:57 PM.

Details

Summary

Since this differential contains a major version bump, so we need to update Mk/Uses/emacs.mk too, and bump the versions of dependent ports as well. Following notes w.r.t. the differential:

  1. Bump to mail/notmuch port: As mail/notmuch-emacs is a slave port, so PORTREVISION bump will get overridden by PORTREVISION value present in its master port (mail/notmuch) so which is why I switched it to ?=
  1. Bump to japanese/mozc-server port: Same as #1, except japanese/mozc-el is the slave port which is needing PORTREVISION bump
Test Plan

Poudriere build

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 28447
Build 26515: arc lint + arc unit

Event Timeline

ashish created this revision.Jan 2 2020, 10:57 PM
jrm added a comment.Jan 2 2020, 11:07 PM

Ashish wrote:

Also since we are bumping dependent ports, do you think we should still add UPDATING entry similar to your message above ?

We do, otherwise pkg upgrade will not upgrade foo-emacs27 packages.

# sh
# for i in $(pkg query -g %n '*-emacs27'); do pkg set -yn ${i}:${i%-emacs27}-emacs28; done
# pkg upgrade
ashish updated this revision to Diff 66356.Jan 5 2020, 1:34 AM
  • Added an UPDATING entry
  • Updated port version to latest git revision
ashish updated this revision to Diff 66357.Jan 5 2020, 1:44 AM
  • Minor correction to UPDATING entry
ashish updated this revision to Diff 66393.Jan 5 2020, 11:20 PM
  • Update to latest git revision
  • Fix UPDATING message
jrm added inline comments.Jan 6 2020, 12:33 AM
UPDATING
15–18 ↗(On Diff #66393)

Sorry, I missed a case here. We need this to correctly handle packages like tablist-emacs27_nox-1.0_1.

# sh
# for i in $(pkg query -g %n '*-emacs27*'); do nn=$(echo "$i" | sed -e 's/emacs27/emacs28/'); pkg set -yn "$i":"$nn"; done;
# pkg upgrade
ashish updated this revision to Diff 66425.Jan 6 2020, 9:05 PM
  • Revise UPDATING entry to account for another use case.
This revision was not accepted when it landed; it landed in state Needs Review.Jan 7 2020, 4:56 AM
This revision was automatically updated to reflect the committed changes.